Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.integrationkit
Class DefaultLifecycleContainerBuilder

    java.lang.Object
      org.nanocontainer.integrationkit.LifecycleContainerBuilder
          org.nanocontainer.integrationkit.DefaultLifecycleContainerBuilder

All Implemented Interfaces:
  ContainerBuilder

    public class DefaultLifecycleContainerBuilder

extends LifecycleContainerBuilder

Constructor Summary
`DefaultLifecycleContainerBuilder(ContainerComposer composer)`

Method Summary
`protected void` | `composeContainer(org.picocontainer.MutablePicoContainer container, Object assemblyScope)`
`protected org.picocontainer.PicoContainer` | `createContainer(org.picocontainer.PicoContainer parentContainer, Object assemblyScope)`

Methods inherited from class org.nanocontainer.integrationkit.LifecycleContainerBuilder
`autoStart, buildContainer, killContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLifecycleContainerBuilder

    public DefaultLifecycleContainerBuilder(ContainerComposer composer)

Method Detail

### composeContainer

    protected void composeContainer(org.picocontainer.MutablePicoContainer container,
                                    Object assemblyScope)

  Specified by:
    `composeContainer` in class `LifecycleContainerBuilder`

### createContainer

    protected org.picocontainer.PicoContainer createContainer(org.picocontainer.PicoContainer parentContainer,
                                                              Object assemblyScope)

  Specified by:
    `createContainer` in class `LifecycleContainerBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.